%define qtdir /usr/lib/qt3 

Name: kcheckers
Version: 0.4
Release: alt1

Group: Games/Boards
Summary: Classic boardgame - checkers
License: GPL
Url: http://kcheckers.osdn.org.ua

Requires: libqt3-gcc_compiled = %__gcc_version_base

Source: %name-%version.tar.bz2
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm


# Automatically added by buildreq on Wed Jan 15 2003
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ libXft libexpat libfontconfig libjpeg liblcms libmng libqt3-devel libstdc++-devel
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: libXft libexpat libfontconfig libjpeg liblcms
BuildRequires: libmng libqt3-devel libstdc++-devel
BuildRequires: libqt3-gcc_compiled = %__gcc_version_base

%description
Tish is classic boardgame "checkers".
This game is also known as "draughts".

%prep
%setup -q

%build
export QTDIR=%qtdir PATH=%qtdir/bin:$PATH
%make_build CXXFLAGS="%optflags -DQT_NO_COMPAT -DQT_CLEAN_NAMESPACE"

%install
mkdir -p %buildroot/%_gamesbindir
install -m 755 %name %buildroot/%_gamesbindir

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%name" \
		  icon=%name.xpm \
		  needs="x11" \
		  section="Amusement/Boards" \
		  title="KCheckers"\
		  longtitle="Classic boardgame - checkers"
EOF

mkdir -p %buildroot/%_iconsdir %buildroot/%_miconsdir %buildroot/%_liconsdir
install -m 644 %SOURCE2 %buildroot/%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_liconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_gamesbindir/*
%_menudir/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%doc ChangeLog AUTHORS

%changelog
* Wed Jan 15 2003 Sergey V Turchin <zerg@altlinux.ru> 0.4-alt1
- new version

* Thu Sep 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3-alt1
- new version
- build with gcc3.2

* Fri Jun 14 2002 Sergey V Turchin <zerg@altlinux.ru> 0.2-alt1
- initial spec

